## ceph 0.94.3.3

=== src/rocksdb/java/Makefile ===
NATIVE_JAVA_CLASSES = org.rocksdb.RocksDB org.rocksdb.Options org.rocksdb.WriteBatch org.rocksdb.WriteBatchInternal org.rocksdb.WriteBatchTest org.rocksdb.WriteOptions org.rocksdb.BackupableDB org.rocksdb.BackupableDBOptions org.rocksdb.Statistics org.rocksdb.Iterator org.rocksdb.VectorMemTableConfig org.rocksdb.SkipListMemTableConfig org.rocksdb.HashLinkedListMemTableConfig org.rocksdb.HashSkipListMemTableConfig org.rocksdb.PlainTableConfig org.rocksdb.ReadOptions org.rocksdb.Filter org.rocksdb.BloomFilter
NATIVE_INCLUDE = ./include
ROCKSDB_JAR = rocksdbjni.jar

clean:
	-find . -name "*.class" -exec rm {} \;
	-find . -name "hs*.log" -exec rm {} \;
	rm -f $(ROCKSDB_JAR)

java:
	javac org/rocksdb/util/*.java org/rocksdb/*.java
	jar -cf $(ROCKSDB_JAR) org/rocksdb/*.class org/rocksdb/util/*.class
	javah -d $(NATIVE_INCLUDE) -jni $(NATIVE_JAVA_CLASSES)

sample: java
	javac -cp $(ROCKSDB_JAR) RocksDBSample.java
	@rm -rf /tmp/rocksdbjni
	@rm -rf /tmp/rocksdbjni_not_found
	java -ea -Djava.library.path=.:../ -cp ".:./*" -Xcheck:jni RocksDBSample /tmp/rocksdbjni
	@rm -rf /tmp/rocksdbjni
	@rm -rf /tmp/rocksdbjni_not_found

test: java
	javac org/rocksdb/test/*.java
	java -ea -Djava.library.path=.:../ -cp "$(ROCKSDB_JAR):.:./*" org.rocksdb.WriteBatchTest
	java -ea -Djava.library.path=.:../ -cp "$(ROCKSDB_JAR):.:./*" org.rocksdb.test.BackupableDBTest
	java -ea -Djava.library.path=.:../ -cp "$(ROCKSDB_JAR):.:./*" org.rocksdb.test.OptionsTest
	java -ea -Djava.library.path=.:../ -cp "$(ROCKSDB_JAR):.:./*" org.rocksdb.test.ReadOptionsTest

db_bench: java
	javac org/rocksdb/benchmark/*.java

=== debian/changelog ===
ceph (0.94.3.3-2redhat1trusty) trusty; urgency=medium

  * build ceph for trusty

 -- Jenkins Build Slave User <jenkins-build@jenkins-slave-trusty2.novalocal>  Tue, 19 Jan 2016 16:24:54 +0000

ceph (0.94.3.3-2redhat1) trusty; urgency=medium

  * Fix "chain_xattr needs to account for xfs 254 byte inline attr
    limitation" (rhbz#1230879)

  * Fix "qemu-kvm crashes with double free or corruption in cephx code"
    (rhbz#1296722)

  * osd: disable filestore_xfs_extsize by default (rhbz#1299308)

 -- Ken Dreyer <kdreyer@redhat.com>  Tue, 19 Jan 2016 09:19:20 -0700

ceph (0.94.3.3-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 04 Nov 2015 14:31:12 -0800

ceph (0.94.3.2-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 30 Sep 2015 12:59:02 -0700

ceph (0.94.3.1-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 25 Sep 2015 11:00:31 -0700

ceph (0.94.3-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 26 Aug 2015 10:39:37 -0700

ceph (0.94.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 09 Jun 2015 12:32:34 -0700

ceph (0.94.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 10 Apr 2015 12:04:49 -0700

ceph (0.94-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 07 Apr 2015 10:05:40 -0700

ceph (0.93-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 27 Feb 2015 09:52:53 -0800

ceph (0.92-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 02 Feb 2015 10:35:27 -0800

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph.git
Vcs-Browser: https://github.com/ceph/ceph
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: autoconf,
               automake,
               autotools-dev,
	       libbz2-dev,
	       cryptsetup-bin | cryptsetup,
               debhelper (>= 6.0.7~),
               default-jdk,
               git,
	       gdisk,
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev (>= 2.17),
               libboost-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 arm64],
               libkeyutils-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               liblttng-ust-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
	       lsb-release,
               parted,
               pkg-config,
               python (>= 2.6.6-3~),
               python-argparse,
               python-nose,
               python-virtualenv,
               sdparm | hdparm,
               uuid-dev,
               uuid-runtime,
               xfslibs-dev,
               xfsprogs,
               xmlstarlet,
               yasm [amd64],
               zlib1g-dev
Standards-Version: 3.9.3

Package: ceph
Architecture: linux-any
Depends: binutils,
         ceph-common (>= 0.94.2-2),
         cryptsetup-bin | cryptsetup,
         gdisk,
         parted,
         python,
         python-argparse,
         sdparm | hdparm,
         uuid-runtime,
         xfsprogs,
	 python-flask,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: btrfs-tools, ceph-mds, librados2, libradosstriper1, librbd1
Replaces: ceph-common (<< 0.78-500), python-ceph (<< 0.92-1223),
	  ceph-test (<< 0.94.1-46)
Breaks: python-ceph (<< 0.92-1223), ceph-test (<< 0.94.1-46)
X-Python-Version: >= 2.6
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster, with the exception of the
 metadata server, which is necessary for using the distributed file system and is
 provided by the ceph-mds package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Replaces: ceph-test-dbg (<< 0.94.2-2)
Breaks: ceph-test-dbg (<< 0.94.2-2)
Description: debugging symbols for ceph
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Replaces: ceph (<< 0.58-1)
Breaks: ceph (<< 0.58-1)
Description: metadata server for the ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 FUSE base client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
         python-rados (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
	 python-requests
Conflicts: ceph-client-tools
Replaces: ceph-client-tools,
	  ceph (<< 0.94.2-2),
	  ceph-test (<< 0.94.3-2),
	  python-ceph (<< 0.92-1223),
	  librbd1 (<< 0.92-1238)
Breaks: ceph (<< 0.94.2-2),
	ceph-test (<< 0.94.3-2),
	python-ceph (<< 0.92-1223),
	librbd1 (<< 0.92-1238)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-common-dbg
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-common
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ceph-client-tools
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-fs-common-dbg
Architecture: linux-any
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-fs-common
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: linux-any
Recommends: pacemaker
Priority: extra
Depends: ceph (= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Conflicts: librados, librados1
Replaces: librados, librados1
Architecture: linux-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Conflicts: librados1-dbg
Replaces: librados1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dev, librados2-dev
Replaces: librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libradosstriper
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Recommended snippet for Autoconf 2.52 or later
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

extraopts += --with-ocf --with-rest-bench --with-nss
extraopts += --with-debug
extraopts += --enable-cephfs-java

# rocksdb is not packaged by anyone.  build it if we can.
extraopts += --with-librocksdb-static=check

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr --localstatedir=/var \
	  --sysconfdir=/etc $(extraopts) $(confflags) \
	  $(CEPH_EXTRA_CONFIGURE_ARGS)
	touch $@

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	$(MAKE)

	cp src/init-ceph debian/ceph.init
	cp src/init-radosgw debian/radosgw.init
	cp src/logrotate.conf debian/ceph.logrotate
	cp src/rgw/logrotate.conf debian/radosgw.logrotate

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 compile config.sub config.guess depcomp install-sh \
	  ltmain.sh missing
	rm -f configure Makefile.in man/Makefile.in src/Makefile.in
	rm -f src/acconfig.h.in
	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate debian/radosgw.logrotate

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules
	install -D -m 644 udev/60-ceph-partuuid-workaround.rules $(DESTDIR)/lib/udev/rules.d/60-ceph-partuuid-workaround.rules
	install -D -m 644 udev/95-ceph-osd.rules $(DESTDIR)/lib/udev/rules.d/95-ceph-osd.rules
	install -D -m 644 src/rbdmap $(DESTDIR)/etc/ceph/rbdmap
	install -D -m 755 src/init-rbdmap $(DESTDIR)/etc/init.d/rbdmap

# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	jh_installlibs -v -i
	dh_installchangelogs -i
	dh_installdocs -i --all ChangeLog
	dh_installexamples -i
	dh_install -i --sourcedir=$(DESTDIR) --list-missing
	dh_installman -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a --all ChangeLog
	dh_installexamples -a
	dh_install -a --sourcedir=$(DESTDIR) --list-missing
	dh_installlogrotate -a
	dh_installinit -a --no-start
	# dh_installinit is only set up to handle one upstart script
	# per package, so do this ourselves
	install -d -m0755 debian/ceph/etc/init
	install -m0644 src/upstart/ceph*.conf debian/ceph/etc/init
	install -d -m0755 debian/ceph-common/etc/init
	install -m0644 src/upstart/rbdmap.conf debian/ceph-common/etc/init
	install -d -m0755 debian/ceph-mds/etc/init
	mv debian/ceph/etc/init/ceph-mds* debian/ceph-mds/etc/init
	install -d -m0755 debian/radosgw/etc/init
	install -m0644 src/upstart/radosgw*.conf debian/radosgw/etc/init
	dh_installman -a
	dh_lintian -a
	dh_link -a

	dh_strip -pceph --dbg-package=ceph-dbg
	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg
	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
	dh_strip -prbd-fuse --dbg-package=rbd-fuse-dbg
	dh_strip -pceph-common --dbg-package=ceph-common-dbg
	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibradosstriper1 --dbg-package=libradosstriper1-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
	dh_strip -pradosgw --dbg-package=radosgw-dbg
	dh_strip -prest-bench --dbg-package=rest-bench-dbg
	dh_strip -pceph-test --dbg-package=ceph-test-dbg

	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_python2 -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://ceph.com/download/ceph-(\d.*)\.tar\.gz

## ceph 0.94.5

=== debian/changelog ===
ceph (0.94.5-0ubuntu0.15.04.1) vivid; urgency=medium

  * New upstream release (LP: #1512292):
    - d/p/ceph-radosgw-init.patch: Dropped, included upstream.
    - d/p/*: Refresh
  * Fixup problems with missing erasure coding plugins and dangling
    symlinks (LP: #1507244):
    - d/p/modules.patch: Add jerasure_neon and shec erasure coding plugins
      to generate unversioned so's for plugin loading.
    - d/rules: Ensure that any remaining versioned so symlinks are dropped
      from the packaging - this is all test code.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Nov 2015 10:38:26 +0000

ceph (0.94.3-0ubuntu0.15.04.1) vivid; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1492227).
  * d/ceph.install: Drop ceph-deploy manpage from packaging, provided
    by ceph-deploy itself (LP: #1475910).

  [ Liam Young ]
  * d/p/ceph-radosgw-init.patch: Cherry pick patch from upstream VCS to
    ensure that restarts of the radosgw wait an appropriate amount of time
    for the existing daemon to shutdown (LP: #1477225).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 16:01:46 +0100

ceph (0.94.2-0ubuntu0.15.04.1) vivid; urgency=medium

  * New upstream point release (LP: #1465553):
    - d/p/*: Refreshed.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jun 2015 14:32:05 +0100

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 James Page <jamespage@debian.org>,
 Dmitry Smirnov <onlyjob@debian.org>
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends:
 debhelper (>= 9~),
 default-jdk,
 dh-autoreconf,
 dh-python,
 dh-systemd (>= 1.5),
 dpkg-dev (>= 1.16.1~),
 javahelper,
 junit4,
 libaio-dev,
 libatomic-ops-dev,
 libbabeltrace-ctf-dev,
 libbabeltrace-dev,
 libblkid-dev,
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libedit-dev,
 libexpat1-dev,
 libfcgi-dev,
 libfuse-dev,
 libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
 libkeyutils-dev,
 libleveldb-dev,
 libnss3-dev,
 libs3-dev,
 libsnappy-dev,
 libtool,
 libudev-dev,
 libxml2-dev,
 pkg-config,
 python-all (>= 2.6.6-3~),
 python-nose,
 uuid-dev,
 uuid-runtime,
 xfslibs-dev,
 yasm [amd64],
 zlib1g-dev
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends:
 binutils,
 ceph-common (= ${binary:Version}),
 cryptsetup-bin | cryptsetup,
 gdisk,
 hdparm | sdparm,
 parted,
 python-flask,
 uuid-runtime,
 xfsprogs,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: python-ceph (<< 0.93-0ubuntu1~)
Conflicts: gceph, librgw-dev, librgw1, librgw1-dbg, obsync
Replaces:
 gceph,
 librgw-dev,
 librgw1,
 librgw1-dbg,
 obsync,
 python-ceph (<< 0.93-0ubuntu1~)
Recommends: libcephfs1, librados2, librbd1, ntp | time-daemon | chrony
Suggests: logrotate
Description: distributed storage and file system
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster, with the exception of the
 metadata server, which is necessary for using the distributed file system
 and is provided by the ceph-mds package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Conflicts: gceph-dbg
Replaces: gceph-dbg
Description: debugging symbols for ceph
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-common
Architecture: linux-any
Depends:
 librbd1 (= ${binary:Version}),
 python-cephfs (= ${binary:Version}),
 python-rados (= ${binary:Version}),
 python-rbd (= ${binary:Version}),
 python-requests,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Conflicts: ceph-client-tools
Breaks:
 ceph (<< 0.93-0ubuntu3~),
 librbd1 (<< 0.93-0ubuntu1~),
 python-ceph (<< 0.93-0ubuntu1~)
Replaces:
 ceph (<< 0.93-0ubuntu3~),
 ceph-client-tools,
 librbd1 (<< 0.93-0ubuntu1~),
 python-ceph (<< 0.93-0ubuntu1~)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-common
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Breaks: ceph (<< 0.67.3-1)
Replaces: ceph (<< 0.67.3-1)
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ceph-common (<< 0.67.3-1)
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-fs-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-fs-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker
Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: libcrush, libcrush1, librados, librados1
Replaces: libcrush, libcrush1, librados, librados1
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Conflicts: libcrush1-dbg, librados1-dbg
Replaces: libcrush1-dbg, librados1-dbg
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
Replaces: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libradosstriper
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains debugging symbols for libradosstriper.

Package: libradosstriper-dev
Architecture: linux-any
Section: libdevel
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: RADOS striping interface (development files)
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains development files needed for building applications that
 link against libradosstriper.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS block device client library
 RBD is a block device striped across multiple distributed objects

## ceph 0.94.7

=== debian/changelog ===
ceph (0.94.7-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream version (LP: #1582189).
  * d/copyright,gbp.conf: Exclude debian folder using uscan.

 -- James Page <james.page@ubuntu.com>  Mon, 16 May 2016 15:11:26 +0100

ceph (0.94.6-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream release (LP: #1549778):
    - d/p/rbdmap3-lazyumount.patch: Refresh.
  * d/watch: Tweak to scan for *.gz files.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Feb 2016 17:27:46 +0000

ceph (0.94.5-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream release (LP: #1512292):
    - d/p/ceph-radosgw-init.patch: Dropped, included upstream.
    - d/p/*: Refresh
  * Fixup problems with missing erasure coding plugins and dangling
    symlinks (LP: #1507244):
    - d/p/modules.patch: Add jerasure_neon and shec erasure coding plugins
      to generate unversioned so's for plugin loading.
    - d/rules: Ensure that any remaining versioned so symlinks are dropped
      from the packaging - this is all test code.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Nov 2015 09:43:19 +0000

ceph (0.94.3-0ubuntu2) wily; urgency=medium

  * d/ceph.install: Drop ceph-deploy manpage from packaging, provided
    by ceph-deploy itself (LP: #1475910).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 14:42:03 +0100

ceph (0.94.3-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1492227):
    - d/p/remove-unused-variable-ceph-bug-11576.patch:
      Dropped, included upstream.
    - d/p*: Refreshed.

  [ Liam Young ]
  * d/p/ceph-radosgw-init.patch: Cherry pick patch from upstream VCS to
    ensure that restarts of the radosgw wait an appropriate amount of time
    for the existing daemon to shutdown (LP: #1477225).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 12:23:50 +0100

ceph (0.94.2-0ubuntu3) wily; urgency=medium

  * Fix compile failure with boost 1.58 (LP: #1483403):
    - src/mon/OSDMonitor.cc: remove unused variable (Ceph issue #11576)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Mon, 10 Aug 2015 18:36:48 -0300

ceph (0.94.2-0ubuntu2) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:25:26 +0100

ceph (0.94.2-0ubuntu1) wily; urgency=medium

  * New upstream point release (LP: #1465553):
    - d/p/*: Refreshed.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jun 2015 09:53:23 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_HOST_ARCH	  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export JAVA_HOME=/usr/lib/jvm/default-java
## Set JAVAC to prevent FTBFS due to incorrect use of 'gcj' if found (see "m4/ac_prog_javac.m4").
export JAVAC=javac

extraopts += --disable-silent-rules
extraopts += --with-ocf --with-rest-bench --with-nss
extraopts += --with-debug
extraopts += --enable-cephfs-java
extraopts += --with-babeltrace

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

# Only selected architectures support gperftools
gperftools_archs = i386 amd64 powerpc armhf ppc64el
ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
  extraopts += --with-tcmalloc
else
  extraopts += --without-tcmalloc
endif

# Use system provided libs3
extraopts += --with-system-libs3

#extraopts += --with-cluster-tests

%:
	dh $@ --with javahelper,python2,autoreconf,systemd --parallel

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

override_dh_auto_configure:
	## copy gtest sources
	#cp -Rv /usr/src/gtest src/
	dh_auto_configure -- $(extraopts)

override_dh_auto_build:
	dh_auto_build
	cp -v src/upstart/rbdmap.conf debian/ceph.rbdmap.upstart

override_dh_auto_clean:
	#$(RM) -rv src/gtest
	$(RM) -rv src/test/fake_home src/mkfs src/test-ceph-disk/osd
	dh_auto_clean
	rm -fv debian/*.upstart

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	# NOTE: ensure that any versioned erasure coding test code is dropped
	#	   from the package install - package ships unversioned modules.
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code/libec_*.so.*
	find $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code -type l -delete || :

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit -pceph --no-start --name=rbdmap
	# Install upstart configurations using dh_installinit
	for conf in `ls -1 src/upstart/ceph*.conf | grep -v mds`; do \
		name=`basename $$conf | cut -d . -f 1`; \
		cp -v $$conf debian/ceph.$$name.upstart; \
		dh_installinit -pceph --no-start --name=$$name; \
	done
	for conf in `ls -1 src/upstart/ceph-mds*.conf`; do \
		name=`basename $$conf | cut -d . -f 1`; \
		cp -v $$conf debian/ceph-mds.$$name.upstart; \
		dh_installinit -pceph-mds --no-start --name=$$name; \
	done
	for conf in `ls -1 src/upstart/radosgw*.conf`; do \
		name=`basename $$conf | cut -d . -f 1`; \
		[ $$name = "radosgw" ] && name="radosgw-instance";\
		cp -v $$conf debian/radosgw.$$name.upstart; \
		dh_installinit -pradosgw --no-start --name=$$name; \
	done

override_dh_systemd_enable:
	## Do not enable services to match `dh_installinit --no-start`
	## behaviour.
	## Users are expected to "systemctl enable" services once their
	## configuration is correct.

override_dh_strip:
	dh_strip -pceph --dbg-package=ceph-dbg
	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg
	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
	dh_strip -prbd-fuse --dbg-package=rbd-fuse-dbg
	dh_strip -pceph-common --dbg-package=ceph-common-dbg
	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibradosstriper1 --dbg-package=libradosstriper1-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
	dh_strip -pradosgw --dbg-package=radosgw-dbg
	dh_strip -prest-bench --dbg-package=rest-bench-dbg
	dh_strip -pceph-test --dbg-package=ceph-test-dbg
	dh_strip -plibrados-dev
	dh_strip -plibcephfs-jni --dbg-package=libcephfs-jni-dbg

override_dh_makeshlibs:
	# exclude jni libraries in libcephfs-jni to avoid pointless ldconfig
	# calls in maintainer scripts; exclude private erasure-code plugins.
	dh_makeshlibs -V -X/usr/lib/jni -X/usr/lib/$(DEB_HOST_MULTIARCH)/ceph/erasure-code

override_dh_auto_test:
	# Skip tests as they depend on virtualenv
	:

.PHONY: override_dh_auto_configure override_dh_installinit override_dh_strip override_dh_makeshlibs override_dh_auto_test
